# App authentication

This app uses a custom password and does not integrate with Cloudron authentication
as it only provides one environment to all users who know the password.

The initial password is randomly generated and printed to the logs when the app starts.


## Changing the password

The password is configured in `/app/data/vscode/config/config.yaml`.
You can change it by modifying the `password` key.

Also you can set the `hashed-password` key (create it) to the SHA-256 checksum
of a password (This setting takes precedence over `password`).

After changing the password (either way), the app has to be restarted.

Make sure to set a secure password as VS code provides shell access to 
everyone who knows the password.
